Icaunux - Le Forum

Forum de l'Association ICAUNUX

Vous n'êtes pas identifié(e).

Annonce

Les Inscriptions au forum sont temporairement désactivées en attendant de trouver une solution efficace contre les inscriptions fictives très nombreuses ces derniers temps. Si vous souhaitez vous inscrire sur le forum, merci d'envoyer une demande par mail à l'adresse contact@icaunux.org. Désolé de cette gène occasionnée.

#1 16-01-2017 09:53:40

wanica
Membre
Inscription : 13-11-2008
Messages : 2 051

libavcodec et ubuntu 14.04

Je rencontre le souci décrit dans le titre depuis quelques mois ( mise à jour de firefox vers les versions 50)

https://forum.ubuntu-fr.org/viewtopic.php?id=2000232

"Libavcodec" ? un message me dit qu'il n'est pas à jour !

MelliW écrit:

Depuis la version 50, Firefox considère que libavcodec est obsolète (voire vulnérable) sur Ubuntu 14.04 et plus ancien.

Sur 14.04, il y a possibilité d'obtenir une version plus récente de libavcodec via un PPA:

    sudo add-apt-repository ppa:heyarje/libav-11

    sudo apt-get update

    sudo apt-get install libav-tools

Une autre solution est tout simplement de forcer Firefox a utiliser la version de libavcodec dite obsolète :

    Dans about:config, passer l'option 'media.libavcodec.allow-obsolete' à 'true' puis redémarrer Firefox

Après quoi, plus de message d'erreur et possibilité de lire les vidéos comme auparavant.


Coeur Noir écrit

Rien à voir avec Firefox, l'origine du problème est libavcodec / ffmpeg comme indiqué ici :

https://superuser.com/questions/1137029 … 09#1137409

C'est d'ailleurs là qu'on trouve les solutions évoquées par MelliW - qui a oublié de citer sa source si si pardon !!!

Or comme Canonical avait fait le mauvais choix de retirer Ffmpeg de ses dépôts officiels sur certaines versions d'Ubuntu, on se retrouve avec un problème de mises à jour « upstream ».


Question complètement annexe posée dans ce sujet du forum ubuntu

Coeur Noir écrit

Au delà d'1 Go l'adressage de la mémoire en 64 bits est + efficace.

https://cl4ssic4l.wordpress.com/2011/05 … about-pae/

http://superuser.com/questions/556008/m … it-systems

Hors ligne

#2 21-01-2017 11:12:02

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 667

Re : libavcodec et ubuntu 14.04

Salut,

Il faut faire attention avec ce qui est écrit dans les forums... (y compris ici ! tongue)

Pour moi, les deux solutions sont moisies.

La première, dire à Firefox d'autoriser la lib qui a des problèmes de sécurité, c'est un peu comme désactiver l'antivirus car il afficherait un message en disant qu'il est pas à jour ! Faire l'autruche en matière de sécurité, je suis pas certain que ce soit une bonne idée.

La seconde, ajouter un PPA qui vient d'on-ne-sait-pas-où fait par on-ne-sait-pas-qui afin de vous donner une version à jour de la lib, ça n'est valable que si on considère qu'on peut faire confiance à celui qui fournit le PPA.
C'est peut-être une belle backdoor, sans analyser les sources on ne le saura probablement jamais.
Si on fait confiance à celui/ceux qui maintiennent le PPA, pourquoi pas.

Dans les cas comme celui-là, je vous conseille de vous référer aux informations officielles :
https://people.canonical.com/~ubuntu-se … -8662.html
Le CVE indique que le risque à utiliser l'ancienne lib est de se prendre un DoS (pas la même chose que DDoS, je vous laisse chercher tongue), en gros un attaquant pourrait vous planter la machine. Il pourrait y avoir d'autres risques, on sait pas trop.

Ici se trouve le rapport de bug officiel chez Ubuntu :
https://bugs.launchpad.net/ubuntu/+sour … ug/1643467

D'après https://bugs.launchpad.net/ubuntu/+sour … omments/14 il semble que le correctif est disponible depuis le 07 décembre 2016 pour la 14.04 : installer libav :

This bug was fixed in the package libav - 6:9.20-0ubuntu0.14.04.1

---------------
libav (6:9.20-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Updated to 9.20 to fix various crashes with
    invalid-free, corrupted double-linked list or out-of-bounds read
    (LP: #1643467)
    - No CVE number

-- Marc Deslauriers <email address hidden> Wed, 07 Dec 2016 15:36:50 -0500

=> installer libav

Pour la 12.04 (attention, fin du support en avril - dans 3 mois -) il ne semble pas y avoir de solution officielle.
Il est temps d'envisager un upgrade.

Enfin, pour l'histoire de la RAM et du 64 bits, je ne rentrerai pas dans les détails, mais le gain n'est pas pour 1Go de RAM, mais 4Go.


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

#3 24-01-2017 11:57:25

wanica
Membre
Inscription : 13-11-2008
Messages : 2 051

Re : libavcodec et ubuntu 14.04

salut

J'ai toujours eu du mal à m' y retrouver avec launchpad et le lien que tu cites.
Ce n'est pas évident de comprendre comment on installe ce libav...


J' ai noté en vrac vite fait ce que je trouvais, ici comme dans un bloc notes. Je n' ai appliqué aucune des solutions proposées. Effectivement, on lit parfois des trucs faux ( les 1 Go de ram !)

La 12.04 ubuntu est déjà bien assez lourde pour mon R 50
Si je dois passer en 14.04 je vais utiliser Lubuntu (testé avec 1 Go de ram) et qui va assez bien.

Je regrette amèrement le surcroît de puissance qu' il faut à chaque nouvelle version d' ubuntu, sans compter quelques gros bugs sur la 14.°4 ( installateur pourri niveau partitinnement, etc)

Hors ligne

#4 27-01-2017 16:24:52

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 667

Re : libavcodec et ubuntu 14.04

wanica a écrit :

Ce n'est pas évident de comprendre comment on installe ce libav

apt-get install libav

Non ? Ou alors depuis ton installateur graphique, si ils disent que ce paquet est présent, il s'installe comme tous les autres paquets.

Pour ce qui est de la taille et de la puissance nécessaire d'Ubuntu, je pense que la plus grande partie d’utilisation des ressource est due à l'interface Unity.
Remplace Unity par XFCE / LXDE / Fluxbox / ce_que_tu_veux_qui_est_pas_KDE_ni_Gnome3 et ça nécessitera moins de puissance.


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

#5 27-01-2017 20:43:13

wanica
Membre
Inscription : 13-11-2008
Messages : 2 051

Re : libavcodec et ubuntu 14.04

En terminal ni libav ni libavcodec ne sont reconnus.

Dans synaptic, je n' ai rien à mettre à jour.
J 'ai  libavcodec-extra-53 Libav codec library.

Hors ligne

#6 28-01-2017 13:18:59

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 667

Re : libavcodec et ubuntu 14.04

Effectivement, d'après https://launchpad.net/ubuntu/trusty/+search?text=libav y'a pas de "libav" tout court.
T'es bien à jour ? Et tu as toujours l'erreur dans Firefox ?


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

#7 31-01-2017 13:06:48

wanica
Membre
Inscription : 13-11-2008
Messages : 2 051

Re : libavcodec et ubuntu 14.04

Ben woui.
A jour, et l'erreur est présente sous la 12.04.
Je vais devoir migrer, pénible.
Si ub était en rolling, ça serait plus cool.

Franchement, l' upgrade d'ub 12.04 vers  14.04 sur un des pc m' a flingué le partitionnement et bouffé mon home. Pas cool.

Hors ligne

#8 06-02-2017 00:47:28

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 667

Re : libavcodec et ubuntu 14.04

Tu sais ce que tu fais, n'utilise pas les modes qui font tout tout seuls, si tu ne peux pas vérifier ce qu'ils vont faire avant !

Et comme tu dis qu'un partitionnement a bouffé ton /home, j'imagine que t'as utilisé un liveUSB/CD pour "réinstlaller" en quelque sorte. Alors que l'update peut très bien se faire en ligne de commande !

Attention je décline toute responsabilité quant à ce que ça pourrait provoquer ! ((j'ai même pas d'Ubuntu) - et fais des backups avant!)

sudo apt-get update && sudo apt-get upgrade && sudo apt-get install update-manager-core && sudo do-release-upgrade

Croise ensuite les doigts, et tu devrais avoir le temps d'aller te faire un café. smile

Si tout se passe bien, t'auras plus qu'à reboot (et dans tous les cas, ça ne touchera pas aux partitions...).


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

#9 06-02-2017 12:02:07

wanica
Membre
Inscription : 13-11-2008
Messages : 2 051

Re : libavcodec et ubuntu 14.04

Ben non, j' avais effectué une attribution manuelle des partitions avec l' installeur, mais j' ai appris plus tard que l' installeur de la 14.04 était buggué.

L'update que j' avais tenté depuis le système lui même ne pouvait pas se faire car je n' avais pas assez de place sur le / ( 8 Go, dont 5 pour le système, plus le téléchargent des nouveaux paquets, je devais être à 95 %, et le système ne pouvait plus installer.

La seule solution restante était d' écraser le / avec le live usb.

Il se trouve que j' avais des backups, mais pas tout. Il me manquais des trucs ( pour la bonne raison que j' ai cloné un DD de 160 vers un de 500 et qu' ensuite j' avais agrandi mon home pour occuper plus d eplace. Sur ce home qui me servait aussi de data, j' avais compilé des docs qui se trouvaient sur un DD externe que je ne voulais pas trimballer sans arrêt.)

J'ai mis le dd de côté et j' ai tenté avec testdisk de retrouver des trucs, c'est possible mais pas tout. Vu la taille du DD et les 8 partitions dessus, la procédure testdisk est assez longue.

Je verrai ça plus tard. L' idéal est de cloner par exemple d'un 500 à un 500. Mais ça me peine de ne rien pouvoir faire des 160 et 320 que j' ai, d'où ma solution.
Ajoutons que j' ai cloné de pata vers sata, et que le ub sur R50 s'est retrouvé sur un T61 ( dual core) sans vraiment de soucis.

Garder son système disque + home et l'utiliser d'une arch matérielle ( pentium M) à une autre ( dual core), c'est un truc impossible avec windows !!! Et c'est grave sympa !
A condition de ne pas utiliser des trucs pourris.

Une autre difficulté récurrente avec ces pentium M, c'est la nécessité au début d'installer un ub non pae or, la seule version dispo est la 12.04. Ensuite la migration vers la 14.04 ne pose pas de soucis.
Testé sur un R 50 1 Go de ram avec lubuntu 14.04: pas trop mal.

Je me demande si je ne vais pas m' orienter vers la mint car le gnome 2 est vraiment ce qui allait le mieux sur ces archi niveau ressources.

Hors ligne

#10 07-02-2017 00:52:24

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 667

Re : libavcodec et ubuntu 14.04

Effectivement, changer de matos en gardant la même install, c'est toujours bluffant ! smile

Tu peux garder Ubuntu et mettre le windows manager de Linux Mint, qui est Cinnamon. Mais ça demande de mettre un peu les mains dans le cambouis.
À toi de voir.


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

Pied de page des forums